#!/bin/bash

# Currently, 'gbp export-orig' is not able to export the upstream tarballs
# because this package uses several sources. See #917789.
#
# Use this script to export all .orig.tar.gz.

pwd | egrep 'debian$' > /dev/null || { echo "You are not in debian/ directory. Exiting."; exit 1; }

pristine-tar -h 2>&1 | grep Usage > /dev/null || { echo "Please, install pristine-tar package."; exit 1; }

cd ..

for i in $(pristine-tar list)
do
    echo "Exporting $i:"
    pristine-tar checkout ../$i
done
